%define name galaxium
%define version 0.1.112
%define oname Galaxium
%define rel 5
%define release %mkrel_fixed2 %rel
%define eggtray 1.6.0

%define mkrel_fixed2(c:) %{-c: 0.%{-c*}.}%{!?_with_unstable:%(perl -e '$_="%{1}";m/(.\*\\D\+)?(\\d+)$/;$rel=${2}-1;re;print "$1$rel";').%{?subrel:%subrel}%{!?subrel:1}.%{?distversion:%distversion}%{?!distversion:%(echo $[%{mdkversion}/10])}}%{?_with_unstable:%{1}}%{?distsuffix:%distsuffix}%{?!distsuffix:mdk}

Summary: Galaxium Messenger for MSN
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://prdownloads.sourceforge.net/galaxium/%{oname}-%{version}-Source.tar.bz2
#gw this was ripped from blam 1.6.0
Source1: libeggtray-%eggtray.tar.bz2
Patch: Galaxium-0.1.112-monopath.patch.bz2
License: GPL
Group: Networking/Instant messaging
Url: http://galaxium.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: glade-sharp-devel
BuildRequires: gtk+2-devel
BuildRequires: ImageMagick

%description
This is an instant messaging client that uses the MSN service. It has
a simple GNOME interface.

%prep
%setup -q -n %oname-%version-Source -a 1
%patch -p1
chmod 644 README TODO BUGS CHANGELOG

%build
make -f Makefile.solution.Galaxium PKG_REFERENCES="glade-sharp"
cd libeggtray-%eggtray
%if %mdkversion <= 1000
%define __libtoolize true
%define __cputoolize true
%endif
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
cd libeggtray-%eggtray
%makeinstall_std
cd ..
cp build/bin/* %buildroot%_libdir/%oname/
rm -f %buildroot%_libdir/%oname/*a
mkdir %buildroot%_bindir
cat > %buildroot%_bindir/%name << EOF
#!/bin/sh
LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:%_libdir/%oname/ mono %_libdir/%oname/%oname.exe
EOF
install -d -m 755 $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): \
	command="%{_bindir}/%{name}" \
	needs="X11" \
%if %mdkversion <= 1000
	section="Internet/Instant messaging" \
%else
	section="Internet/Instant Messaging" \
%endif
	icon="%name.png" \
	title="Galaxium" \
	longtitle="MSN Instant Messaging Client" \
	startup_notify="true"
EOF
mkdir -p %buildroot{%_liconsdir,%_miconsdir,%_iconsdir}
cd %oname/Images/Large/
install %name.png %buildroot%_liconsdir/%name.png
convert -scale 32 %name.png %buildroot%_iconsdir/%name.png
convert -scale 16 %name.png %buildroot%_miconsdir/%name.png

# ahead of time compile the executables for faster loading
export MONO_GAC_PREFIX=%buildroot%_prefix
#find %buildroot -name \*.exe -exec mono --aot -O=all,-shared {} \;

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README TODO BUGS CHANGELOG
%attr(755,root,root) %_bindir/%name
%_libdir/%oname/
%_menudir/%name
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png
%{_liconsdir}/%name.png

%changelog
* Tue May 09 2006 Götz Waschk <waschk@mandriva.org> 0.1.112-5mdk
- Rebuild

* Thu May 12 2005 Gtz Waschk <waschk@mandriva.org> 0.1.112-4mdk
- disable aot, broken in mono 1.1.7

* Mon May  9 2005 Gtz Waschk <waschk@mandriva.org> 0.1.112-3mdk
- fix build on x86_64

* Mon Apr 25 2005 Gtz Waschk <waschk@mandriva.org> 0.1.112-2mdk
- fix buildrequires
- mkrel
- aot compile the executables
- new version

* Sun Dec 12 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1.111-1mdk
- source URL
- New release 0.1.111

* Tue Oct 26 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1.109-2mdk
- fix buildrequires

* Mon Oct 25 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1.109-1mdk
- initial package
